royale-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carlos Rovira <carlosrov...@apache.org>
Subject Re: [Discuss] Start release process 0.9.3
Date Fri, 28 Sep 2018 09:26:59 GMT
Hi,

ni parent royale-asjs root pom I'm reading on line 49:

<tag>release/0.9.3</tag>

maybe this should be updated to 0.9.4?

El lun., 17 sept. 2018 a las 18:07, Alex Harui (<aharui@adobe.com.invalid>)
escribió:

> Last week, the develop branch was setup to release as 0.9.3 since the
> prior release was 0.9.2.  The scripts and defaults are not set up to skip a
> version so we discussed ways to skip a version.  It included:
>
> 1) Running "ant -f releasecandidate.xml update.versions"
> 2) Using "ant -f releasecandidate.xml make_branches" twice.
>
> The first run would set the poms in the release branch to 0.9.3 and set
> the develop branch to 0.9.4-SNAPSHOT.
> The second run would set the poms in the release branch to 0.9.4 and set
> the develop branch to 0.9.5-SNAPSHOT.
>
> The correct state of the branches before executing step 4 in
> https://github.com/apache/royale-asjs/wiki/Release-Manager-Notes#release-steps
> is that the develop branch is set to 0.9.5-SNAPSHOT, the release branch is
> set to 0.9.4, and other version numbers are set to 0.9.4, such as
> build.properties in royale-asjs.  That's what update.versions did.  I did
> that a couple of days ago.
>
> So, to answer your questions:
>
> 1) No, there shouldn't be any extra Ant targets to run at this time other
> than maybe running make_branches on some or all of the repos to get us to
> the desired state.  I think I've taken care of everything that
> make_branches doesn't take care of.  I did not try to get all of the Maven
> pieces in the 3 repos ready because I thought I saw that royale-typedefs
> was already ready so I didn't know where you were in the process.  Some of
> the targets in releasecandidate.xml run lots of Maven commands which will
> update the POMs.  Those targets also patch some other things that Maven
> needs but were hard to make work via Maven.  Since updating the
> Maven-related data could not be one simple Maven command, I chose to use
> Ant to take the RM through all of the steps.   But Ant builds do not use
> the POM (although I'm still thinking of teaching the compiler to read the
> POMs) so we have other Ant targets that update things for the Ant build of
> the framework.  This is normally done during the final "release" target
> after voting is over, but because we are skipping a version, I had to run
> it once a few days ago.
>
> 2)  IMO, the simplest thing to do is update the develop branch so it looks
> like we released a 0.9.3 before creating the final release branch for
> 0.9.4.  That is why I am suggesting running make_branches until you reach
> that state.  I think I've already taken care of the Ant properties.
>
> When you think you've got the branches for all repos in this state, let me
> know and I will spot check it.
>
> HTH,
> -Alex
>
> On 9/17/18, 2:06 AM, "Piotr Zarzycki" <piotrzarzycki21@gmail.com> wrote:
>
>     Still don't understand what you did at all. I did make_branches. This
> is
>     what happened so far:
>
>     1) feature/0.9.4 -> branch has been created which contains 0.9.3 in
> poms
>     2) develop has been updated to 0.9.4-SNAPSHOT
>
>     Q 1: Should I run on develop ant command which updating for me some
> stuff ?
>     - What ANT do ? Does it update pom or something else ?
>     Q 2: Because we would like to jump to one version ahead - Should I run
> that
>     ANT on RC1 branch or should I update it manually ?
>
>     Thanks,
>     Piotr
>
>
>     pon., 17 wrz 2018 o 09:53 Alex Harui <aharui@adobe.com.invalid>
> napisał(a):
>
>     > If you have run make_branches, then the branches should be showing
> 0.9.4
>     > and the develop branch should be using 0.9.5.
>     >
>     > I already ran and pushed update.versions.  The Ant build should be
> using
>     > 0.9.4.
>     >
>     > I'm stopping work for tonight.
>     >
>     > HTH,
>     > -Alex
>     >
>     > On 9/17/18, 12:17 AM, "Piotr Zarzycki" <piotrzarzycki21@gmail.com>
> wrote:
>     >
>     >     I think I'm right now on steps 4 and 5 in ->
>     >
>     >
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fgithub.com%2Fapache%2Froyale-asjs%2Fwiki%2FRelease-Manager-Notes%23release-steps&amp;data=02%7C01%7Caharui%40adobe.com%7Cb4f3681be8ee401a9edb08d61c7cd8a8%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636727719873623282&amp;sdata=4vj7M8%2BYgVfU6EnGXIPz%2BCyd3XxA4kZvCtlly334rww%3D&amp;reserved=0
>     >
>     >
>     >     pon., 17 wrz 2018 o 09:16 Piotr Zarzycki <
> piotrzarzycki21@gmail.com>
>     >     napisał(a):
>     >
>     >     > Hi Alex,
>     >     >
>     >     > I think I have passed problem with scm and was able to push RC1
>     > branch,
>     >     > but I don't understand what do you mean here:
>     >     >
>     >     > "I also ran the update.versions target.  It turns out I needed
> to run
>     >     > several targets first from the empty folder:
>  use_develop_branch
>     >     > clone-compiler clone-typedefs clone-asjs update.versions
>     >     >
>     >     > And then manually go to each repo and push the changes."
>     >     >
>     >     > Do you mean here that I need to run update.version target on
> develop
>     > or on
>     >     > RC branch? I understand that we are jumping one version up, so
> I
>     > know that
>     >     > probably need to be updated develop to 0.9.5-SNAPSHOT. Should
> I do
>     > any of
>     >     > that operation on RC branch as well ?
>     >     >
>     >     > Thanks,
>     >     > Piotr
>     >     >
>     >     > sob., 15 wrz 2018 o 07:21 Alex Harui <aharui@adobe.com.invalid
> >
>     >     > napisał(a):
>     >     >
>     >     >> Hi Piotr,
>     >     >>
>     >     >> I think I've figured out how to use maven-scm 1.10.0.  I have
>     > switched
>     >     >> the version of the release plugin to 3.0.0-SNAPSHOT.  You
> will have
>     > to
>     >     >> build your own release plugin from sources.  The latest
> published
>     > snapshot
>     >     >> is not based on the latest sources so we have to build it
>     > ourselves.  I
>     >     >> have added an Ant task to releasecandidate.xml called
>     >     >> maven-release-plugin.  So, I would recommend starting with an
> empty
>     > folder
>     >     >> with just local.properties and the latest
> releasecandidate.xml and
>     > running:
>     >     >>
>     >     >>     Ant -f releasecandidate.xml -Drelease.version=0.9.4 -Drc=1
>     >     >> maven-release-plugin
>     >     >>
>     >     >> When that succeeds (it worked first try for me), then run:
>     >     >>
>     >     >>     Ant -f releasecandidate.xml -Drelease.version=0.9.4 -Drc=1
>     >     >> make_branches
>     >     >>
>     >     >> I tried it with a dry run (by uncommenting the
> pushChanges=false)
>     > and it
>     >     >> worked for me on Windows from PowerShell.
>     >     >>
>     >     >> I also ran the update.versions target.  It turns out I needed
> to run
>     >     >> several targets first from the empty folder:
>  use_develop_branch
>     >     >> clone-compiler clone-typedefs clone-asjs update.versions
>     >     >>
>     >     >> And then manually go to each repo and push the changes.
>     >     >>
>     >     >> Hopefully you will be able to use the make_branches to update
> the
>     > maven
>     >     >> poms to 0.9 4-SNAPSHOT and then proceed with the
> releasecandidate.
>     >     >>
>     >     >> Good luck!
>     >     >> -Alex
>     >     >>
>     >     >> On 9/14/18, 9:25 AM, "Alex Harui" <aharui@adobe.com.INVALID>
> wrote:
>     >     >>
>     >     >>     OK.  But by specifying setting-template you are giving it
>     > different
>     >     >> startup property values.  IMO, best test is to run the same
> thing
>     > on your
>     >     >> command line that Ant is trying to run.
>     >     >>
>     >     >>     -Alex
>     >     >>
>     >     >>     On 9/14/18, 9:13 AM, "Piotr Zarzycki" <
>     > piotrzarzycki21@gmail.com>
>     >     >> wrote:
>     >     >>
>     >     >>         Alex,
>     >     >>
>     >     >>         You understand it me wrong. I don't skip tests when
> I'm
>     > trying to
>     >     >> create
>     >     >>         release candidate. This command is test command - I
> run it
>     > just
>     >     >> to check
>     >     >>         what pure Maven build download for me - not connected
> with
>     > ant at
>     >     >> all.
>     >     >>
>     >     >>         Thanks,
>     >     >>         Piotr
>     >     >>
>     >     >>         pt., 14 wrz 2018 o 18:09 Alex Harui
>     > <aharui@adobe.com.invalid>
>     >     >> napisał(a):
>     >     >>
>     >     >>         > Ant does not specify to use settings-template.  I
> never
>     > specify
>     >     >> that
>     >     >>         > anymore when running Maven from the command-line.
>     >     >>         >
>     >     >>         > FWIW, I think you should not skip tests or rat when
>     > trying to
>     >     >> create a
>     >     >>         > release candidate.
>     >     >>         >
>     >     >>         > Ant uses a "mvn" variable when trying to launch
> Maven so
>     > you can
>     >     >>         > -Dmvn=<some other path> although I don't think you
> can add
>     >     >> other options to
>     >     >>         > that variable.
>     >     >>         >
>     >     >>         > I guess I will try this out myself on Windows.
>     >     >>         >
>     >     >>         > HTH
>     >     >>         > -Alex
>     >     >>         >
>     >     >>         > On 9/14/18, 9:02 AM, "Piotr Zarzycki" <
>     >     >> piotrzarzycki21@gmail.com> wrote:
>     >     >>         >
>     >     >>         >     For the tests I run in command line following:
> mvn -s
>     >     >>         > settings-template.xml
>     >     >>         >     -DskipTests -Drat.skip=true clean install - It
> uses my
>     >     >> Apache Maven
>     >     >>         > 3.5.4.
>     >     >>         >     I would be surprised that Ant run some other
> Maven - I
>     >     >> don't have any
>     >     >>         > other
>     >     >>         >     installed in my system. I will check as you
> propose
>     > from
>     >     >> Ant.
>     >     >>         >
>     >     >>         >
>     >     >>         >     pt., 14 wrz 2018 o 17:54 Alex Harui
>     >     >> <aharui@adobe.com.invalid>
>     >     >>         > napisał(a):
>     >     >>         >
>     >     >>         >     > The Ant script runs (on Windows) whatever
> mvn.cmd
>     > maps to
>     >     >> in the
>     >     >>         > PATH.
>     >     >>         >     > What are you typing on the command-line to run
>     > Maven?
>     >     >>         >     >
>     >     >>         >     > There are some options for Ant that print out
> more
>     > info
>     >     >> or you might
>     >     >>         > add
>     >     >>         >     > some other commands to the Ant script to help
>     > figure out
>     >     >> what
>     >     >>         > mvn.cmd it is
>     >     >>         >     > running.  On Windows, I think you can run
> "where
>     > mvn.cmd"
>     >     >> to see
>     >     >>         > what it is
>     >     >>         >     > picking up.
>     >     >>         >     >
>     >     >>         >     > HTH,
>     >     >>         >     > -Alex
>     >     >>         >     >
>     >     >>         >     >
>     >     >>         >     > On 9/14/18, 8:05 AM, "Piotr Zarzycki" <
>     >     >> piotrzarzycki21@gmail.com>
>     >     >>         > wrote:
>     >     >>         >     >
>     >     >>         >     >     I have spent on that again a bunch of
> time and
>     >     >> something is
>     >     >>         > really
>     >     >>         >     > weird
>     >     >>         >     >     happen. I've figure out that if Maven is
> using
>     > scm
>     >     >> and we won't
>     >     >>         > specify
>     >     >>         >     >     inside pluginManagement tag what version
> of scm
>     > is
>     >     >> used - It will
>     >     >>         >     > download
>     >     >>         >     >     some older one.
>     >     >>         >     >
>     >     >>         >     >     However there is something wrong on the
> line
>     > between
>     >     >>         >     > releasecandidate.xml
>     >     >>         >     >     and Maven.
>     >     >>         >     >
>     >     >>         >     >     1) If I run build of royale-compiler
> using cmd
>     > or
>     >     >> even from
>     >     >>         > Intellij -
>     >     >>         >     > scm
>     >     >>         >     >     1.10.0 is being downloaded - correct one.
>     >     >>         >     >     2) If I run release process using
>     >     >> releasecandidate.xml there is
>     >     >>         > being
>     >     >>         >     >     downloaded 1.9.4
>     >     >>         >     >
>     >     >>         >     >     Any idea why it could happen like that ?
> This
>     > file
>     >     >>         >     > releasecandidate.xml is
>     >     >>         >     >     used to just launch Maven build, why old
> scm is
>     > being
>     >     >>         > downloaded?!
>     >     >>         >     >
>     >     >>         >     >     Thanks,
>     >     >>         >     >     Piotr
>     >     >>         >     >
>     >     >>         >     >     czw., 13 wrz 2018 o 21:43 Alex Harui
>     >     >> <aharui@adobe.com.invalid>
>     >     >>         >     > napisał(a):
>     >     >>         >     >
>     >     >>         >     >     > I think the console output will show
> what
>     > versions
>     >     >> of plugins
>     >     >>         > are
>     >     >>         >     >     > downloaded. You can also check out the
> local
>     > maven
>     >     >> cache.
>     >     >>         >     >     >
>     >     >>         >     >     > Get Outlook for Android<
>     >     >>         >     >
>     >     >>         >
>     >     >>
>     >
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Faka.ms%2Fghei36&amp;data=02%7C01%7Caharui%40adobe.com%7Cb4f3681be8ee401a9edb08d61c7cd8a8%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636727719873623282&amp;sdata=%2BCfU%2B2Hg73Nr3bm%2FoAhf2%2B%2BbtrL9fCclN7whFIyr1B8%3D&amp;reserved=0
>     >     >>         >     > >
>     >     >>         >     >     >
>     >     >>         >     >     > ________________________________
>     >     >>         >     >     > From: Piotr Zarzycki <
>     > piotrzarzycki21@gmail.com>
>     >     >>         >     >     > Sent: Thursday, September 13, 2018
> 11:02:29 AM
>     >     >>         >     >     > To: dev@royale.apache.org
>     >     >>         >     >     > Subject: Re: [Discuss] Start release
> process
>     > 0.9.3
>     >     >>         >     >     >
>     >     >>         >     >     > Unfortunately I don't know how to check
> that.
>     > I can
>     >     >> check only
>     >     >>         >     > "Effective
>     >     >>         >     >     > Pom" - Intellij is able to show me what
> is
>     > behind
>     >     >> the stage in
>     >     >>         >     > specific
>     >     >>         >     >     > pom. This is how it looks like for main
> pom in
>     >     >> royale-asjs ->
>     >     >>         >     >     >
>     >     >>         >     >     >
>     >     >>         >     >
>     >     >>         >
>     >     >>
>     >
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fpaste.apache.org%2FeVmK&amp;data=02%7C01%7Caharui%40adobe.com%7Cb4f3681be8ee401a9edb08d61c7cd8a8%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636727719873623282&amp;sdata=lU0LNypNyfW1BS0%2BtPzmr0d8haiC4AotMKQrfpMWvv8%3D&amp;reserved=0
>     >     >>         >     >     >
>     >     >>         >     >     > Piotr
>     >     >>         >     >     >
>     >     >>         >     >     >
>     >     >>         >     >     >
>     >     >>         >     >     > czw., 13 wrz 2018 o 19:42 Alex Harui
>     >     >> <aharui@adobe.com.invalid
>     >     >>         > >
>     >     >>         >     >     > napisał(a):
>     >     >>         >     >     >
>     >     >>         >     >     > > Is maven using scm 1.10?
>     >     >>         >     >     > >
>     >     >>         >     >     > > Get Outlook for Android<
>     >     >>         >     >     >
>     >     >>         >     >
>     >     >>         >
>     >     >>
>     >
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Faka.ms%2Fghei36&amp;data=02%7C01%7Caharui%40adobe.com%7Cb4f3681be8ee401a9edb08d61c7cd8a8%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636727719873623282&amp;sdata=%2BCfU%2B2Hg73Nr3bm%2FoAhf2%2B%2BbtrL9fCclN7whFIyr1B8%3D&amp;reserved=0
>     >     >>         >     >     > >
>     >     >>         >     >     > >
>     >     >>         >     >     > > ________________________________
>     >     >>         >     >     > > From: Piotr Zarzycki <
>     > piotrzarzycki21@gmail.com>
>     >     >>         >     >     > > Sent: Thursday, September 13, 2018
> 8:55:29
>     > AM
>     >     >>         >     >     > > To: dev@royale.apache.org
>     >     >>         >     >     > > Subject: Re: [Discuss] Start release
>     > process 0.9.3
>     >     >>         >     >     > >
>     >     >>         >     >     > > I'm unable to use
> releasecandidate.xml and
>     >     >> prepare that
>     >     >>         > release
>     >     >>         >     > using
>     >     >>         >     >     > that
>     >     >>         >     >     > > script. It's failing constantly,
> despite my
>     >     >> attempt of
>     >     >>         > update scm.
>     >     >>         >     >     > Failing
>     >     >>         >     >     > > is happen only on royale-asjs.
>     >     >>         >     >     > >
>     >     >>         >     >     > > I see only option to prepare that
> release
>     >     >> manually.
>     >     >>         >     >     > >
>     >     >>         >     >     > > Thanks,
>     >     >>         >     >     > > Piotr
>     >     >>         >     >     > >
>     >     >>         >     >     > > czw., 13 wrz 2018 o 10:47 Alex Harui
>     >     >>         > <aharui@adobe.com.invalid>
>     >     >>         >     >     > > napisał(a):
>     >     >>         >     >     > >
>     >     >>         >     >     > > > Yes, that might work.  But you also
> have
>     > to run
>     >     >> the
>     >     >>         >     > update.version
>     >     >>         >     >     > target
>     >     >>         >     >     > > > in Ant.  It looks like I didn't
> write
>     > about it
>     >     >> in the
>     >     >>         > wiki.  I
>     >     >>         >     > think
>     >     >>         >     >     > the
>     >     >>         >     >     > > > command would be something like:
>     >     >>         >     >     > > >
>     >     >>         >     >     > > >   Ant -f releasecandidate.xml
>     > update.version
>     >     >>         >     > -Drelease.version=0.9.3
>     >     >>         >     >     > > >
>     >     >>         >     >     > > > I think it will ask you for the next
>     > version to
>     >     >> use.  I'm
>     >     >>         > done
>     >     >>         >     > working
>     >     >>         >     >     > > for
>     >     >>         >     >     > > > today, so good luck.
>     >     >>         >     >     > > >
>     >     >>         >     >     > > > HTH,
>     >     >>         >     >     > > > -Alex
>     >     >>         >     >     > > >
>     >     >>         >     >     > > > On 9/13/18, 12:52 AM, "Piotr
> Zarzycki" <
>     >     >>         >     > piotrzarzycki21@gmail.com>
>     >     >>         >     >     > > wrote:
>     >     >>         >     >     > > >
>     >     >>         >     >     > > >     Alex,
>     >     >>         >     >     > > >
>     >     >>         >     >     > > >     By that do you mean that I
> basically
>     > should
>     >     >> go two
>     >     >>         > times
>     >     >>         >     > with third
>     >     >>         >     >     > > > step of
>     >     >>         >     >     > > >     your release steps ? It will
> give the
>     >     >> results I think
>     >     >>         > so.
>     >     >>         >     >     > > >
>     >     >>         >     >     > > >     [1]
>     >     >>         >     >     > > >
>     >     >>         >     >     > > >
>     >     >>         >     >     > >
>     >     >>         >     >     >
>     >     >>         >     >
>     >     >>         >
>     >     >>
>     >
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fgithub.com%2Fapache%2Froyale-asjs%2Fwiki%2FRelease-Manager-Notes%23release-steps&amp;data=02%7C01%7Caharui%40adobe.com%7Cb4f3681be8ee401a9edb08d61c7cd8a8%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636727719873633300&amp;sdata=uns5ytN4XDOzv1Mb8U3ol%2FS49h10NXq34%2FOtRdfzgfs%3D&amp;reserved=0
>     >     >>         >     >     > > >
>     >     >>         >     >     > > >     Thanks,
>     >     >>         >     >     > > >     Piotr
>     >     >>         >     >     > > >
>     >     >>         >     >     > > >     czw., 13 wrz 2018 o 09:46 Alex
> Harui
>     >     >>         >     > <aharui@adobe.com.invalid>
>     >     >>         >     >     > > > napisał(a):
>     >     >>         >     >     > > >
>     >     >>         >     >     > > >     > I also noticed that there are
> lots
>     > of
>     >     >> references to
>     >     >>         > 0.9.3
>     >     >>         >     > in the
>     >     >>         >     >     > > > repo.  If
>     >     >>         >     >     > > >     > we want to use 0.9.4 as the
> version
>     >     >> number, I think
>     >     >>         > you
>     >     >>         >     > will have
>     >     >>         >     >     > > to
>     >     >>         >     >     > > > run
>     >     >>         >     >     > > >     > the update.version target in
>     >     >> releasecandidate.xml and
>     >     >>         >     > update the
>     >     >>         >     >     > > > Maven poms
>     >     >>         >     >     > > >     > as well.   We've never really
> tried
>     > to
>     >     >> skip a version
>     >     >>         >     > number
>     >     >>         >     >     > > before,
>     >     >>         >     >     > > > so not
>     >     >>         >     >     > > >     > exactly sure what needs to be
>     > done.  One
>     >     >> way that
>     >     >>         > might
>     >     >>         >     > work to
>     >     >>         >     >     > > > update
>     >     >>         >     >     > > >     > Maven poms is to create the
> release
>     >     >> branches.  That
>     >     >>         > should
>     >     >>         >     > update
>     >     >>         >     >     > > the
>     >     >>         >     >     > > >     > version numbers in the develop
>     > branch.
>     >     >> Then toss the
>     >     >>         >     > release
>     >     >>         >     >     > > branch
>     >     >>         >     >     > > >     > without reverting and create
> another
>     >     >> release
>     >     >>         > branch.  That
>     >     >>         >     > should
>     >     >>         >     >     > > > update
>     >     >>         >     >     > > >     > the version numbers in
> develop to
>     >     >> 0.9.5-SNAPSHOT
>     >     >>         > which is
>     >     >>         >     > what we
>     >     >>         >     >     > > > want, and
>     >     >>         >     >     > > >     > the release branches should
> have
>     > 0.9.4.
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >     > HTH,
>     >     >>         >     >     > > >     > -Alex
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >     > On 9/12/18, 2:18 PM, "Alex
> Harui"
>     >     >>         > <aharui@adobe.com.INVALID
>     >     >>         >     > >
>     >     >>         >     >     > > wrote:
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >     >     The console output should
>     > include
>     >     >> what version of
>     >     >>         >     > plugins are
>     >     >>         >     >     > > >     > downloaded.
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >     >     Get Outlook for Android<
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >
>     >     >>         >     >     > >
>     >     >>         >     >     >
>     >     >>         >     >
>     >     >>         >
>     >     >>
>     >
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Faka.ms%2Fghei36&amp;data=02%7C01%7Caharui%40adobe.com%7Cb4f3681be8ee401a9edb08d61c7cd8a8%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636727719873633300&amp;sdata=9f87scY29nhZxBOLs8QigBmBad87mVwp08CxaBhMu0c%3D&amp;reserved=0
>     >     >>         >     >     > > >     > >
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >     >
>  ________________________________
>     >     >>         >     >     > > >     >     From: Piotr Zarzycki <
>     >     >> piotrzarzycki21@gmail.com>
>     >     >>         >     >     > > >     >     Sent: Wednesday,
> September 12,
>     > 2018
>     >     >> 9:54:04 AM
>     >     >>         >     >     > > >     >     To: dev@royale.apache.org
>     >     >>         >     >     > > >     >     Subject: Re: [Discuss]
> Start
>     > release
>     >     >> process
>     >     >>         > 0.9.3
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >     >     That's not good, because
> I was
>     >     >> updated that
>     >     >>         > stuff. It
>     >     >>         >     > looks
>     >     >>         >     >     > > like
>     >     >>         >     >     > > > it
>     >     >>         >     >     > > >     > didn't
>     >     >>         >     >     > > >     >     work well. Let me
> investigate
>     > more
>     >     >> scm plugin
>     >     >>         > stuff
>     >     >>         >     > and I'm
>     >     >>         >     >     > > > reverting
>     >     >>         >     >     > > >     >     current changes.
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >     >     Thanks!
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >     >     śr., 12 wrz 2018 o 18:39
> Alex
>     > Harui
>     >     >>         >     > <aharui@adobe.com.invalid
>     >     >>         >     >     > >
>     >     >>         >     >     > > >     > napisał(a):
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >     >     > That error implies that
>     > maven-scm
>     >     >> 1.10.0 is not
>     >     >>         >     > being used.
>     >     >>         >     >     > > > Some
>     >     >>         >     >     > > >     > older
>     >     >>         >     >     > > >     >     > version is.  I couldn't
>     > figure out
>     >     >> from reading
>     >     >>         >     > Maven doc
>     >     >>         >     >     > > > exactly
>     >     >>         >     >     > > >     > how to
>     >     >>         >     >     > > >     >     > control that.  We might
> need
>     > to
>     >     >> specify it in
>     >     >>         > the
>     >     >>         >     > main pom,
>     >     >>         >     >     > > > but I was
>     >     >>         >     >     > > >     >     > hoping that if you used
> the
>     > latest
>     >     >> Maven it
>     >     >>         > would
>     >     >>         >     >     > > automatically
>     >     >>         >     >     > > >     > bring in
>     >     >>         >     >     > > >     >     > that version.
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >     > Regarding canceling an
> RC:
>     > the Ant
>     >     >> scripts
>     >     >>         > have
>     >     >>         >     > targets
>     >     >>         >     >     > that
>     >     >>         >     >     > > > run
>     >     >>         >     >     > > >     > other
>     >     >>         >     >     > > >     >     > targets that have
> bunches of
>     > Ant
>     >     >> commands.  So
>     >     >>         > when
>     >     >>         >     >     > something
>     >     >>         >     >     > > > fails,
>     >     >>         >     >     > > >     > and
>     >     >>         >     >     > > >     >     > you re-start from some
> Ant
>     > target,
>     >     >> it is
>     >     >>         > expecting
>     >     >>         >     > certain
>     >     >>         >     >     > > > starting
>     >     >>         >     >     > > >     >     > conditions.  So
> sometimes you
>     > have
>     >     >> to revert
>     >     >>         > commits
>     >     >>         >     > or
>     >     >>         >     >     > > delete
>     >     >>         >     >     > > > the
>     >     >>         >     >     > > >     > branch
>     >     >>         >     >     > > >     >     > and tags or sometimes
> you just
>     >     >> delete the
>     >     >>         > working
>     >     >>         >     > copy.  It
>     >     >>         >     >     > > > depends
>     >     >>         >     >     > > >     > where
>     >     >>         >     >     > > >     >     > you are starting from.
> There
>     > are
>     >     >> some Ant
>     >     >>         > tasks
>     >     >>         >     > that start
>     >     >>         >     >     > > at
>     >     >>         >     >     > > >     > certain
>     >     >>         >     >     > > >     >     > points (like after
>     > royale-compiler
>     >     >> and
>     >     >>         >     > royale-typedefs have
>     >     >>         >     >     > > > been
>     >     >>         >     >     > > >     > completed)
>     >     >>         >     >     > > >     >     > but it isn't so fine
> grain
>     > that you
>     >     >> can start
>     >     >>         >     > exactly from
>     >     >>         >     >     > > the
>     >     >>         >     >     > > > point
>     >     >>         >     >     > > >     > of
>     >     >>         >     >     > > >     >     > failure.
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >     > HTH,
>     >     >>         >     >     > > >     >     > -Alex
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >     > On 9/12/18, 8:46 AM,
> "Piotr
>     >     >> Zarzycki" <
>     >     >>         >     >     > > > piotrzarzycki21@gmail.com>
>     >     >>         >     >     > > >     > wrote:
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >     >     I got fail on
> royale-asjs
>     > repo
>     >     >> ->
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >
>     >     >>         >     >     > >
>     >     >>         >     >     >
>     >     >>         >     >
>     >     >>         >
>     >     >>
>     >
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fpaste.apache.org%2FBzVx&amp;data=02%7C01%7Caharui%40adobe.com%7Cb4f3681be8ee401a9edb08d61c7cd8a8%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636727719873633300&amp;sdata=fD1%2Fqew4nUN%2Fp3%2BG710CCW8HMgpGpJCQmNG7noF9d4w%3D&amp;reserved=0
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >     >     I don't understand
> one
>     > thing
>     >     >> from the
>     >     >>         >     > instruction.
>     >     >>         >     >     > Since
>     >     >>         >     >     > > >     > something
>     >     >>         >     >     > > >     >     > failed
>     >     >>         >     >     > > >     >     >     during branch
> creation I
>     > need
>     >     >> to revert
>     >     >>         > changes.
>     >     >>         >     >     > Probably
>     >     >>         >     >     > > > remove
>     >     >>         >     >     > > >     >     > branches
>     >     >>         >     >     > > >     >     >     and revert
> everything in
>     >     >> develop. - Yes ?
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >     >     Instruction is
> saying in
>     >     >> Canceling RC: "To
>     >     >>         >     > cancel an RC
>     >     >>         >     >     > > and
>     >     >>         >     >     > > >     > generate a
>     >     >>         >     >     > > >     >     > new
>     >     >>         >     >     > > >     >     >     RC, you have to
> revert
>     > certain
>     >     >> changes that
>     >     >>         >     > Maven made
>     >     >>         >     >     > to
>     >     >>         >     >     > > > the
>     >     >>         >     >     > > >     > release
>     >     >>         >     >     > > >     >     >     branch." - Why only
>     > release
>     >     >> branch ?
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >     >     Should I not remove
>     > release
>     >     >> branch ?
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >     >     Thanks,
>     >     >>         >     >     > > >     >     >     Piotr
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >     >     śr., 12 wrz 2018 o
> 17:38
>     > Piotr
>     >     >> Zarzycki <
>     >     >>         >     >     > > >     > piotrzarzycki21@gmail.com>
>     >     >>         >     >     > > >     >     >     napisał(a):
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >     >     > I just tried it
> from
>     > Git Bash
>     >     >> and
>     >     >>         > something
>     >     >>         >     > started
>     >     >>         >     >     > to
>     >     >>         >     >     > > > work :)
>     >     >>         >     >     > > >     >     >     >
>     >     >>         >     >     > > >     >     >     > śr., 12 wrz 2018
> o 17:36
>     >     >> Piotr Zarzycki <
>     >     >>         >     >     > > >     > piotrzarzycki21@gmail.com>
>     >     >>         >     >     > > >     >     >     > napisał(a):
>     >     >>         >     >     > > >     >     >     >
>     >     >>         >     >     > > >     >     >     >> I just go
> through SSH
>     >     >> instruction again
>     >     >>         > and
>     >     >>         >     > re-added
>     >     >>         >     >     > > > rsa key
>     >     >>         >     >     > > >     > to
>     >     >>         >     >     > > >     >     > GitHub,
>     >     >>         >     >     > > >     >     >     >> but no luck so
> far.
>     >     >>         >     >     > > >     >     >     >>
>     >     >>         >     >     > > >     >     >     >> śr., 12 wrz 2018
> o
>     > 17:36
>     >     >> Piotr Zarzycki
>     >     >>         > <
>     >     >>         >     >     > > >     > piotrzarzycki21@gmail.com>
>     >     >>         >     >     > > >     >     >     >> napisał(a):
>     >     >>         >     >     > > >     >     >     >>
>     >     >>         >     >     > > >     >     >     >>> Yes - I have
> exactly
>     > two
>     >     >> files there -
>     >     >>         > the
>     >     >>         >     > same as
>     >     >>         >     >     > > you.
>     >     >>         >     >     > > >     >     >     >>>
>     >     >>         >     >     > > >     >     >     >>> śr., 12 wrz
> 2018 o
>     > 17:34
>     >     >> Alex Harui
>     >     >>         >     >     > > > <aharui@adobe.com.invalid
>     >     >>         >     >     > > >     > >
>     >     >>         >     >     > > >     >     >     >>> napisał(a):
>     >     >>         >     >     > > >     >     >     >>>
>     >     >>         >     >     > > >     >     >     >>>> Are you running
>     >     >> releasecandidate.xml
>     >     >>         > from an
>     >     >>         >     >     > 'empty
>     >     >>         >     >     > > > folder
>     >     >>         >     >     > > >     > and
>     >     >>         >     >     > > >     >     > not in
>     >     >>         >     >     > > >     >     >     >>>> your working
> copy?  I
>     >     >> think the only
>     >     >>         > thing
>     >     >>         >     > I have
>     >     >>         >     >     > in
>     >     >>         >     >     > > > the
>     >     >>         >     >     > > >     > folder is
>     >     >>         >     >     > > >     >     >     >>>>
> releasecandidate.xml
>     > and
>     >     >>         > local.properties.
>     >     >>         >     >     > > >     >     >     >>>>
>     >     >>         >     >     > > >     >     >     >>>> Get Outlook for
>     > Android<
>     >     >>         >     >     > > >     >     >
>     >     >>         >     >     > > >     >
>     >     >>         >     >     > > >
>     >     >>         >     >     > >
>     >     >>         >     >     >
>     >     >>         >     >
>     >     >>         >
>     >     >>
>     >
> https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Faka.ms%2Fghei36&amp;data=02%7C01%7Caharui%40adobe.com%7Cb4f3681be8ee401a9edb08d61c7cd8a8%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636727719873633300&amp;sdata=9f87scY29nhZxBOLs8QigBmBad87mVwp08CxaBhMu0c%3D&amp;reserved=0
>     >     >>         >     >     > > >     >     > >
>     >     >>         >     >     > > >     >     >     >>>>
>     >     >>         >     >     > > >     >     >     >>>>
>     >     >> ________________________________
>     >     >>         >     >     > > >     >     >     >>>> From: Piotr
> Zarzycki
>     > <
>     >     >>         >     > piotrzarzycki21@gmail.com>
>     >     >>         >     >     > > >     >     >     >>>> Sent:
> Wednesday,
>     > September
>     >     >> 12, 2018
>     >     >>         > 7:42:06
>     >     >>         >     > AM
>     >     >>         >     >     > > >     >     >     >>>> To:
>     > dev@royale.apache.org
>     >     >>         >     >     > > >     >     >     >>>> Subject: Re:
>     > [Discuss]
>     >     >> Start release
>     >     >>         >     > process 0.9.3
>     >     >>         >     >     > > >     >     >     >>>>
>     >     >>         >     >     > > >     >     >     >>>> Yes I follow
> the SSH
>     > link.
>     >     >> I will
>     >     >>         > review
>     >     >>         >     > stuff
>     >     >>         >     >     > > again.
>     >     >>         >     >     > > >     >     >     >>>>
>     >     >>         >     >     > > >     >     >     >>>>
>     >     >>         >     >     > > >     >     >     >>>> On Wed, Sep 12,
>     > 2018, 4:06
>     >     >> PM Alex
>     >     >>         > Harui
>     >     >>         >     >     > > >



-- 
Carlos Rovira
http://about.me/carlosrovira

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message